Subject: bug#79397: 29.3; ffap-latex-mode should be modified after upstream kpsewhich update

From: Leo Stein <[email-masked]>
Date: Sat, 13 Sep 2025 11:38:40 -0500

Thanks for the suggestion! That's definitely simpler than removing all
blank lines.

Here is my attempt at a patch from the latest master. I hope I've formatted
the commit message correctly. Note that I included \r along with \n for
possible end-of-line characters to skip, but I don't have a Windows machine
to test this on.

Best
Leo

On Sat, Sep 13, 2025 at 3:48 AM Eli Zaretskii <[email-masked]> wrote:

> > From: Leo Stein <[email-masked]>
> > Date: Sat, 6 Sep 2025 14:23:03 -0500
> >
> > ffap-latex-mode in ffap.el uses the executable kpsewhich if available.
> > Before a recent change to kpsewhich, the executable would report
> > possible paths, one per line, with no blank lines. Following svn
> > revision 73462 in texlive's tree (which is included in TeX Live 2025;
> > see lines 959-966 at
> >
> https://svn.tug.org:8369/texlive/trunk/Build/source/texk/kpathsea/kpsewhich.c?r1=69416&r2=73462
> ),
> > the new behavior of kpsewhich is to output a blank line for each
> > input file which was not found.
> >
> > The behavior in ffap-latex-mode is to simply take the first line from
> > the temp buffer that recieves the output. Previously, this would either
> > be a valid path, or the buffer would be empty. With the new behavior,
> > the buffer could be non-empty, with various blank lines, and the first
> > valid path might follow after some blank lines.
> >
> > ffap-latex-mode can easily be patched by just removing blank lines from
> > the temp buffer. However I don't know if that is the idiomatic approach;
> > please teach me the ways!
>
> It might be simpler to look for the first non-empty line.
>
> Feel free to suggest a patch along these lines, and thanks.
>